Bug 999052 - Review Request: perl-WWW-Splunk - Client library for Splunk log search engine
Review Request: perl-WWW-Splunk - Client library for Splunk log search engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 11:42 EDT by Lubomir Rintel
Modified: 2013-09-25 17:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 17:17:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2013-08-20 11:42:08 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/perl-WWW-Splunk.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-WWW-Splunk-2.04-1.el6.src.rpm

Description:

WWW::Splunk is a client for Splunk log search engine. It consists of a utility 
with command-line interface, sc, and a supporting library. It lets you query 
the archived logs or conduct a real-time search.
Comment 1 Ralf Corsepius 2013-08-21 00:53:10 EDT
Basically OK, but these items:

1. Please remove these Requires:
Requires:       perl(Date::Manip)
Requires:       perl(HTTP::Request::Common)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Test::More)
Requires:       perl(Text::CSV)   
Requires:       perl(XML::LibXML)

Modern rpm tracks run-time perl-module requirements automatically, which reduces the packager's work-load and helps avoiding packaging mistakes.
e.g. The R: perl(Test::More) above is incorrect. It's not a run-time requirement, but only a testsuite's requirement.

2. Consider to remove the rpm anachronisms from your spec (rm -rf RPM_BUILD_ROOT, BuildRoot, defattr(), %clean ...).

I understand, your target distro is epel6, but even there most of them are not needed anymore (AFAICT, they are still needed on epel5).
Comment 2 Lubomir Rintel 2013-09-19 10:38:41 EDT
Thank you for your review.

I prefer to keep the obsolete constructs in package as I like the same package to be buildable for el5 as well, unless you object it very strongly.

Here's the updated package:

SPEC: http://v3.sk/~lkundrak/SPECS/perl-WWW-Splunk.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-WWW-Splunk-2.04-2.el6.src.rpm
Comment 3 Ralf Corsepius 2013-09-20 02:43:45 EDT
Something weird:

man sc on rawhide gives:
...
       The code is hosted on GitHub <http://github.com/lkundrak/perl-WWW-Splunk>.  Bug fixes and feature enhancements are always welcome.

POD ERRORS
       Hey! The above document had some coding errors, which are explained below:

       Around line 214:
           Unterminated B<...> sequence

...

Apparently pod2man encounters an error and encodes this into generated man-page
From /usr/share/man/man1/sc.1:
...
.SH "POD ERRORS"
.IX Header "POD ERRORS"
Hey! \fBThe above document had some coding errors, which are explained below:\fR
.IP "Around line 214:" 4
.IX Item "Around line 214:"  
Unterminated B<...> sequence
...
Comment 4 Lubomir Rintel 2013-09-23 02:37:39 EDT
Thank you for noticing this! An updated version is on its way to CPAN.

SPEC: http://v3.sk/~lkundrak/SPECS/perl-WWW-Splunk.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-WWW-Splunk-2.05-1.el6.src.rpm
Comment 5 Ralf Corsepius 2013-09-25 07:38:18 EDT
APPROVED

Clean package - Nothing much to say about
Comment 6 Lubomir Rintel 2013-09-25 15:10:44 EDT
Thank you Ralf!

New Package SCM Request
=======================
Package Name: perl-WWW-Splunk
Short Description: Client library for Splunk log search engine
Owners: lkundrak
Branches: f18 f19 f20 el6 el6
Comment 7 Gwyn Ciesla 2013-09-25 15:24:49 EDT
Git done (by process-git-requests).
Comment 8 Lubomir Rintel 2013-09-25 17:17:59 EDT
Imported and built.
Thanks Jon and Ralf!

Note You need to log in before you can comment on or make changes to this bug.